import request from '@/utils/request'
import { stringify } from 'querystring'

export function fetchTableList(data) {
  return request({
    url: `messageInfo/page?${stringify(data)}`
  })
}

export function pushSave(data) {
  return request({
    url: 'messageInfo/publish',
    method: 'post',
    data: data
  })
}

export function pushBatchRead(ids) {
  return request({
    url: `messageInfo/reads?ids=${ids}`
  })
}

export function fetchDetailData(id) {
  return request({
    url: `messageInfo/detail?id=${id}`
  })
}

export function fetchContacts() {
  return request({
    url: 'messageInfo/contacts'
  })
}
