import request from '@/utils/request'

export function fetchCommentList(data) {
  return request({
    url: 'comment/search',
    method: 'post',
    data: data
  })
}

export function pushCommentAdd(data) {
  return request({
    url: 'comment/add',
    method: 'post',
    data: data
  })
}

// Comment Detail Request
export function fetchDetailList(data) {
  return request({
    url: 'comment/detail/search',
    method: 'post',
    data: data
  })
}

export function pushDetailAdd(data) {
  return request({
    url: 'comment/detail/add',
    method: 'post',
    data: data
  })
}
