import request from '@/utils/request'

export function fetchFaqList(data) {
  return request({
    url: 'issue/search',
    method: 'post',
    data: data
  })
}

export function fetchFaqDetail(id) {
  return request({
    url: `issue/info/${id}`
  })
}

export function pushSaveFaq(action, data) {
  return request({
    url: `issue/${action}`,
    method: 'post',
    data: data
  })
}

export function pushDeleteFaq(id) {
  return request({
    url: `issue/delete/${id}`
  })
}

