import request from '@/utils/request'

export function addLog(type, id, name, url) {
  return request({
    url: `${type}/clickIncr`,
    method: 'post',
    // headers: { 'sys-number': encodeURIComponent(name) },
    data: { id, name, url }
  })
}

export function fetchTableList(data) {
  return request({
    url: 'sysLog/page',
    method: 'post',
    data: data
  })
}

export function fetchLogDetail(id) {
  return request({
    url: `sysLog/detail?id=${id}`
  })
}

export function fetchModuleData() {
  return request({
    url: 'sysLog/moduleMaps'
  })
}
